=== debian/changelog ===
sxiv (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/patches
    + allow-cflags-override.diff patch to
      remove gcc optimization from Makefile
      and overridden with DEB_BUILD_OPTIONS 
      and dpkg-buildflags
  * debian/rules
    + DEB_BUILD_OPTIONS=noopt to force
      gcc optimization -O0
    + Use dpkg-buildflags to get default
      cflags
  * debian/copyright
    + Update copyright file to DEP5 rev 174  	

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 07 Sep 2011 14:56:23 -0500

sxiv (0.8.2-3) unstable; urgency=low

  * Updated watch file
  * Readme.md file isn't needed
  * Added suggests field in debian/control

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 07 Jul 2011 13:29:20 -0500

sxiv (0.8.2-2) unstable; urgency=low

  * Install mailcap entries (Closes: #632914)
  * Added fix_manpage.diff patch
    + Fix hyphen-used-as-minus-sign

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 06 Jul 2011 19:43:51 -0500

sxiv (0.8.2-1) unstable; urgency=low

  * Initial release (Closes: #631728)

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 30 Jun 2011 16:34:51 -0500
