=== debian/changelog ===
sxiv (1.0-1) unstable; urgency=low

  * New upstream release
  * Remove fix-manpage.diff
    + Merge with upstream	
  * Refresh allow-cflags-override.diff patch
  * debian/copyright
    + Update upstream email address
  * Use cflags, ldflags and cppflags from dpkg-buildflags

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 05 Nov 2011 12:56:11 -0500
