=== debian/watch ===
version=3
http://githubredir.debian.net/github/muennich/sxiv/([\d\.]+).tar.gz
