=== debian/changelog ===
sxiv (1.1.1-2) unstable; urgency=low

  * debian/patches
    + Refresh allow-cflags-override.diff patch 
      + Allow correctly usage of CFLAGS and LDFLAGS (Closes: #729628)
      + Thanks to Julián Moreno for the fix
  * debian/rules
    + Pass properly CFLAGS and LDFLAGS to avoid override them
  * Update copyright file
  * Switch compat level 8 to 9

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 16 Nov 2013 22:22:09 -0500

sxiv (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Bump standard versions to 3.9.4 (no changes)
    + Bump debhelper to 9 in B-D
  * debian/patches
    + Refresh allow-cflags-override.diff patch
  * Add sxiv.docs to install README.md file
  * debian/copyright
    + Extend copyright holders years
  * Update watch file
    + Thanks to John Paul Adrian Glaubitz

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 May 2013 22:29:44 -0500
