=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: extra
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), libimlib2-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libimlib2-dev
+Standards-Version: 3.9.4
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv
