=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) PREFIX=/usr
	

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
