=== debian/changelog ===
sxiv (1.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    + Bump standard versions 3.9.5 (no changes)
  * debian/patches
    + Refresh allow-cflags-override.diff patch
    + Add install_icons.diff patch
      + Install icons
    + Add fix_manpage.diff
      + Fix hyphen-used-as-minus-sign lintian warning in manpage
      + Fix typo
    + Add not_install_examples.diff patch
      + Don't install examples files from Makefile
  * Add debian/sxiv.xpm
  * Add debian/sxiv.examples
    + Install examples files from debhelper
  * Add debian/sxiv.install
  * Add debian/sxiv.menu
  * debian/copyright
    + Extend copyright holders years
 
 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 10 May 2014 13:45:02 -0500
