=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper (>= 9), libimlib2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv
