=== debian/changelog ===
sxiv (1.3.1-1build1) xenial; urgency=medium

  * No-change rebuild against libgif7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Nov 2015 19:42:02 +0000

sxiv (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Add libexif-dev in B-D.
    + Bump standard versions 3.9.6 (no changes.)
  * debian/patches
    + Remove allow-cflags-override.diff patch.
      + Merge with upstream.
    + Refresh all patches.
  
 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 11 Dec 2014 14:29:36 -0500
