=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: sxiv
 Section: graphics
 Priority: extra
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 9), libimlib2-dev
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Build-Depends: debhelper (>= 9), libimlib2-dev, libexif-dev
+Standards-Version: 3.9.6
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv
