## sxiv 1.3.1-1

=== debian/control ===
Source: sxiv
Section: user/graphics
Priority: extra
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxt-dev, libimlib2-dev, libexif-dev, libgif-dev
Standards-Version: 3.7.2
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://github.com/muennich/sxiv
Description: Simple X Image Viewer
 sxiv is an alternative to feh and qiv. Its only dependencies besides
 xlib are imlib2, libexif and giflib. The primary goal for writing sxiv
 is to create an image viewer, which only has the most basic features
 required for fast image viewing (the ones I want). It has vi key
 bindings and works nicely with tiling window managers. Its code base
 should be kept small and clean to make it easy for you to dig into it
 and customize it for your needs.
XB-Maemo-Display-Name: sxiv image viewer
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAHlBMVEUiIDT/
 //8wYIL78jaZ5VB2QoqsMjI3lG5qvjDZV2PHoLJsAAAAt0lEQVR42t3P0Q6D
 IAyFYegAy/u/8BojHjtGm+5iZvsvDInnM5KMcs5p6n7w5+WRnBfPXwDqcAsg
 KQBoD2v1eioRxQB9EbiRLjaXvHkMUBBQEFAQPI5K0aCacxiAWldzAAlAas34
 +ghgF7jNtsdcXhsAAvMFUkAEYYuugBXodGQQVkDEwgDweWkBhuATsAZrwW+A
 I/gCGoAhJA08AdBCAHsAS6TWPgMdABmgB0EH8H4qTXsP6L0PnkmAFghoCBqz
 AAAAAElFTkSuQmCC
