=== debian/changelog ===
sxiv (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh install_icons.diff patch.
    + Refresh not_install_examples.diff patch.
    + Add fix_undefined_behavior.diff patch.
      + Fix undefined behavior/uninitialised variables. (Closes: #795290)
        + Thanks to George Bradshaw for the patch
  * debian/sxiv.install
    + Install desktop file. (Closes: #796720)
  * remove sxiv.menu file.
    + Now is prohibited install both files (desktop and menu file).
  * debian/copyright
    + Extend copyright holders years.
  * debian/rules
    + Enable LFS support.

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 25 Dec 2015 21:39:05 -0500
