=== debian/control ===
Source: sxiv
Section: graphics
Priority: extra
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 9), libimlib2-dev, libexif-dev
Standards-Version: 3.9.6
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libjpeg-progs, imagemagick
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib 
 is imlib2. The primary goal for writing sxiv is to create an image 
 viewer, which only has the most basic features required for fast image 
 viewing. It works nicely with tiling window managers and its code base 
 should be kept small and clean to make it easy for you to dig into it 
 and customize it for your needs.
