=== debian/watch ===
version=3
https://github.com/muennich/sxiv/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
