=== debian/changelog ===
sxiv (24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh install_icons.diff patch.
    + Refresh fix_manpage.diff patch.
    + Refresh not_install_examples.diff patch.
    + Remove fix_undefined_behavior.diff patch.
      + Merge with upstream.
  * debian/control
    + Add libxft-dev in B.D 
    + Bump Standards-Version 4.1.1.
      + Use HTTPS in Link to copyright format.
      + Change priority extra by optional.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 30 Oct 2017 22:33:38 -0500

sxiv (1.3.2-2) unstable; urgency=medium

  * Fix FTCBFS Let dh_auto_build pass
    cross compilers to make. (Closes: #871393).
    + Thanks to Helmut Grohne for the patch!.
  * debian/control
    + Bump standard versions 4.0.0 (no changes).
    + Bump debhelper to 10 in B-D.
    + Switch compat level 9 to 10.
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/rules
    + export hardening flags.

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 08 Aug 2017 22:45:58 -0500
