=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: sxiv
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 9), libimlib2-dev, libexif-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), libimlib2-dev, libexif-dev, libxft-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv
