=== debian/changelog ===
sxiv (25-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change my email address.
    + Bump Standards-Version 4.3.0.
    + Bump debhelper to 11 in B-D.
    + Set architecture field to linux-any.
  * Switch compat level 10 to 11.
  * debian/rules
    + Add override to fix FTBFS on second try.
  * debian/patches
    + Refresh all patches.
  * Remove some trailing-whitespaces.
  * Use wrap-and-sort.
  * Add metadata file.

 -- Daniel Echeverry <epsilon@debian.org>  Wed, 06 Feb 2019 11:16:32 -0500
