=== debian/control ===
Source: sxiv
Section: graphics
Priority: optional
Maintainer: Daniel Echeverry <epsilon@debian.org>
Build-Depends: debhelper (>= 11),
               libexif-dev,
               libimlib2-dev,
               libxft-dev
Standards-Version: 4.3.0
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick,
          libjpeg-progs
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib
 is imlib2. The primary goal for writing sxiv is to create an image
 viewer, which only has the most basic features required for fast image
 viewing. It works nicely with tiling window managers and its code base
 should be kept small and clean to make it easy for you to dig into it
 and customize it for your needs.
