=== debian/changelog ===
sxiv (26-2) unstable; urgency=medium

  * Maintain in Debian Phototools team
    Closes: #1128420
  * Fix Homepage
  * d/watch: version=5
  * d/copyright: fix Source
  * Use alternatives to enable providing forks like nsxiv the sxiv executable
    Closes: #1082303
  * debhelper-compat (= 13)
  * cme fix dpkg-control
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Since version 24 multipage TIFF file can be viewed
    Closes: #833648

 -- Andreas Tille <tille@debian.org>  Thu, 19 Feb 2026 22:31:48 +0100

sxiv (26-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version 4.4.1.
    + Use debhelper-compat instead of debian/compat.
    + Mark Rules-Requires-Root: no as we don't need root for building.
  * debian/sxiv.mime
    + remove the single quotes around %s to avoid lintian warning.
  * debian/patches
    + Refresh install_icons.diff patch.
    + Refresh not_install_examples.diff patch.
    + Add dependencies.patch.
      + Fix FTCBFS: uses the wrong compiler. (Closes: #922939).
        + Thanks to Helmut Grohne for the patch.

 -- Daniel Echeverry <epsilon@debian.org>  Tue, 21 Jan 2020 20:32:16 -0500
