=== debian/control ===
Source: sxiv
Standards-Version: 4.7.3
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Daniel Echeverry <epsilon@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: graphics
Build-Depends:
 debhelper-compat (= 13),
 libexif-dev,
 libimlib2-dev,
 libxft-dev,
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/sxiv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/sxiv.git
Homepage: https://github.com/xyb3rt/sxiv
Rules-Requires-Root: no

Package: sxiv
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 imagemagick,
 libjpeg-progs,
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib
 is imlib2. The primary goal for writing sxiv is to create an image
 viewer, which only has the most basic features required for fast image
 viewing. It works nicely with tiling window managers and its code base
 should be kept small and clean to make it easy for you to dig into it
 and customize it for your needs.
