=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,19 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf config.h version.h
+
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr
 	
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+
+override_dh_install:
+	dh_install
+	mv debian/`dh_listpackages`/usr/bin/sxiv debian/`dh_listpackages`/usr/bin/sxiv.sxiv
+	mv debian/`dh_listpackages`/usr/share/man/man1/sxiv.1 debian/`dh_listpackages`/usr/share/man/man1/sxiv.sxiv.1
+	sed -i 's/^Exec=sxiv/&.sxiv/' debian/`dh_listpackages`/usr/share/applications/sxiv.desktop
