=== debian/watch ===
Version: 5

Template: Github
Owner: xyb3rt
Project: sxiv
